TCursorPutConfig (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Enum TCursorPutConfig

- java.lang.Object
- - java.lang.Enum<TCursorPutConfig>
  - - com.sleepycat.thrift.TCursorPutConfig

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TCursorPutConfig>, org.apache.thrift.TEnum

      public enum TCursorPutConfig
      extends java.lang.Enum<TCursorPutConfig>
      implements org.apache.thrift.TEnum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AFTER`
    `BEFORE`
    `CURRENT`
    `DEFAULT`
    `KEY_FIRST`
    `KEY_LAST`
    `NO_DUP_DATA`
    `NO_OVERWRITE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TCursorPutConfig` | `findByValue(int value)` Find a the enum type by its integer value, as defined in the Thrift IDL.
    `int` | `getValue()` Get the integer value of this enum value, as defined in the Thrift IDL.
    `static TCursorPutConfig` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TCursorPutConfig[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AFTER

          public static final TCursorPutConfig AFTER

    - #### BEFORE

          public static final TCursorPutConfig BEFORE

    - #### CURRENT

          public static final TCursorPutConfig CURRENT

    - #### DEFAULT

          public static final TCursorPutConfig DEFAULT

    - #### KEY_FIRST

          public static final TCursorPutConfig KEY_FIRST

    - #### KEY_LAST

          public static final TCursorPutConfig KEY_LAST

    - #### NO_DUP_DATA

          public static final TCursorPutConfig NO_DUP_DATA

    - #### NO_OVERWRITE

          public static final TCursorPutConfig NO_OVERWRITE

  - ### Method Detail

    - #### values

          public static TCursorPutConfig[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TCursorPutConfig c : TCursorPutConfig.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TCursorPutConfig valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Get the integer value of this enum value, as defined in the Thrift IDL.
      Specified by:
        `getValue` in interface `org.apache.thrift.TEnum`

    - #### findByValue

          public static TCursorPutConfig findByValue(int value)

      Find a the enum type by its integer value, as defined in the Thrift IDL.
      Returns:
        null if the value is not found.

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.